#include <gtest/gtest.h>
#include <json.hpp>
#include <httplib.h>
//#define private public
#include <ProcessorStandard.h>
#include <ModuleHTTP.h>
#include <ModuleMath.h>
#include <ModuleSwitch.h>
#include <math.h>
#include <thread>

/*
TEST(ModuleHTTP, test_ansys_server) {
    ModuleHTTP module("../../../lib/test/server/server-ansys.py", "localhost", 8888);

    auto inputs_types = module.getInputs();
    auto inputs_ids = module.getInputIDs();
    EXPECT_EQ(inputs_types[0], "Materials");
    EXPECT_EQ(inputs_types[1], "Angles");

    module.update();

    auto outputs_types = module.getOutputs();
    auto outputs_ids = module.getOutputIDs();
    for (int i = 0; i < outputs_ids.size(); ++i) {
        std::cout << module.getOutput(outputs_ids[i])->getValue()["value"].dump() << std::endl;;
    }
    Client cli("localhost", 8888);
    cli.Get("/stop");
}
*/